clear;                                 % fig2b: rotation and sky 
load mfig2b.mat;                       % load data 
figure('color',[1,1,1]);               % figure frame 
for i=1:64; id=idc==i; cm=cjet(i,:);   % loop colors 
 plot(er1(id),ei1(id),'.','markersize',12,'color',cm); hold on; % wavevorm 1
 plot(er2(id),ei2(id),'.','markersize',12,'color',cm); hold on; % waveform 2
end; hold off; 
set(gca,'color',[190,190,190]/255); 
set(gca,'xlim',[-6e3,3e3],'ylim',[-2e3,7e3]);
xt=-6e3:1e3:3e3; xtl=xt/1e3; yt=-2e3:1e3:7e3; ytl=yt/1e3;
set(gca,'xtick',xt,'xticklabel',xtl,'fontsize',14);
set(gca,'ytick',yt,'yticklabel',ytl); 
xlabel('[ E_{re} ] = mVm^{-1}'); ylabel('[ E_{im} ] = mVm^{-1}');
colormap default; colormap(jet); h=colorbar; 
yt=(0:0.2:1)'; ytl=yt/2; 
set(h,'ytick',yt,'yticklabel',ytl,'fontsize',14);
ylabel(h,'[ t ] = ms');
h1=annotation('ellipse','position',[0.3,0.25,0.1,0.12],'linewidth',1);
h2=annotation('ellipse','position',[0.6,0.3,0.1,0.12],'linewidth',1);
h3=annotation('arrow',[0.360,0.360],[0.251,0.251]);
h4=annotation('arrow',[0.340,0.339],[0.369,0.369]);
h5=annotation('arrow',[0.660,0.660],[0.418,0.418]);
h6=annotation('arrow',[0.640,0.639],[0.300,0.300]);
% inset figure
h=axes('position',[0.1300*1,0.1100*4.6,0.7750/1.7,0.8150/2.1]);
zfig=imread('fig2bi.tif');           % inset figure 
zfig=zfig(140:end-50,50:end-20,:);   % crop
imagesc(zfig); axis off; 
set(gcf,'inverthardcopy','off');
print fig2b.eps -depsc2;

